Bug 1479325 - Manpage mentions rd.vconsole.keymap but dracut expects vconsole.keymap
Manpage mentions rd.vconsole.keymap but dracut expects vconsole.keymap
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lukáš Nykrýn
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 07:20 EDT by Lukáš Nykrýn
Modified: 2017-12-08 10:08 EST (History)
3 users (show)

See Also:
Fixed In Version: dracut-033-513.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-08 09:42:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2017-08-08 07:20:17 EDT
Description of problem:
Let's backport:
6c8fc6e377b94e26e6d03cddbf174cb27caad0a6
Comment 2 Jakub Vavra 2017-12-05 03:32:19 EST
dracut-033-520.el7.ppc64le:
The description is vague but based on it this seems incorrect as it is referring to rd.vconsole.keymap and there is no link to see the details of the change:

       Keyboard Settings
           If you have to input passwords for encrypted disk volumes, you might want to set the keyboard layout and specify a display font.

           A typical german kernel command would contain:

               rd.vconsole.font=latarcyrheb-sun16 rd.vconsole.keymap=de-latin1-nodeadkeys rd.locale.LANG=de_DE.UTF-8

           Setting these options can override the setting stored on your system, if you use a modern init system, like systemd.
Comment 3 Lukáš Nykrýn 2017-12-08 09:42:55 EST
Ok, this whole bz was a mistake. We don't use this part of code in rhel.

Note You need to log in before you can comment on or make changes to this bug.